X Window Destroy Functions
Ecore » Ecore_X - X11 Integration

Functions to destroy X windows. More...

## Functions

void | ecore_x_window_free (Ecore_X_Window win)
| Deletes the given window.
void | ecore_x_window_delete_request_send (Ecore_X_Window win)
| Sends a delete request to the given window.

## Detailed Description

Functions to destroy X windows.

## Function Documentation

## ecore_x_window_free()

void ecore_x_window_free | ( | Ecore_X_Window | win | ) |

Deletes the given window.

Parameters

  win | The given window.

References ecore_x_sync().

Referenced by ecore_x_e_window_profile_supported_set(), and ecore_x_e_window_rotation_supported_set().

## ecore_x_window_delete_request_send()

void ecore_x_window_delete_request_send | ( | Ecore_X_Window | win | ) |

Sends a delete request to the given window.

Parameters

  win | The given window.

References ecore_x_sync().